#ifndef __CCALLER_HEADER_DEFINED__
#define	__CCALLER_HEADER_DEFINED__

#include <jni.h>
#include <jawt.h>
#include <jawt_md.h>

#ifdef	__cplusplus
extern "C" {
#endif

typedef struct
{
    JNIEnv* env;
    jobject interfaceCls;
} ENVIRONMENT;

#ifdef WINDOWS
#   include <Wingdi.h>
#	define DrawingInfo  JAWT_Win32DrawingSurfaceInfo
#   define GLContext HGLRC
#else

#	define DrawingInfo  JAWT_X11DrawingSurfaceInfo
#   define GLContext GLXContext
#endif

int createWindowHandle(DrawingInfo** handle);
int getGLContext(DrawingInfo* handle, GLContext* context);

#ifdef	__cplusplus
}
#endif

#endif	/* __CCALLER_HEADER_DEFINED__ */
