var NAVTREE =
[
  [ "Lhogho", "index.html", [
    [ "Lhogho Developer's Documentation", "index.html", "index" ],
    [ "Asm", "asm.html", [
      [ "Executable File Structure", "asm.html#compiler_struct", null ],
      [ "Running compiled files", "asm.html#compiler_run", null ],
      [ "In-memory compilation", "asm.html#compiler_memory", null ]
    ] ],
    [ "Atoms", "atoms.html", [
      [ "Structure", "atoms.html#atoms_struct", null ],
      [ "Atom types", "atoms.html#atoms_types", null ]
    ] ],
    [ "Compiler", "compiler.html", [
      [ "Executable File Structure", "compiler.html#compiler_struct", null ],
      [ "Running compiled files", "compiler.html#compiler_run", null ],
      [ "In-memory compilation", "compiler.html#compiler_memory", null ]
    ] ],
    [ "Errors", "errors.html", [
      [ "Structure", "errors.html#errors_structure", null ],
      [ "Error ERROR_INCOMPLETE_PAIR", "errors.html#errors_eip", null ],
      [ "Error ERROR_EMPTY_EXPRESSION", "errors.html#errors_eee", null ],
      [ "Error ERROR_CROWDED_EXPRESSION", "errors.html#errors_ece", null ],
      [ "Error ERROR_MISSING_LEFTS", "errors.html#errors_eml", null ],
      [ "Error ERROR_MISSING_RIGHTS", "errors.html#errors_emr", null ],
      [ "Error ERROR_EMPTY_TO_END", "errors.html#errors_eete", null ],
      [ "Error ERROR_MISSING_NAME", "errors.html#errors_ewn", null ],
      [ "Error ERROR_DUPLICATE_INPUT", "errors.html#errors_edi", null ],
      [ "Error ERROR_UNKNOWN_OPTION", "errors.html#errors_euo", null ],
      [ "Error ERROR_CROWDED_SOURCES", "errors.html#errors_ecs", null ],
      [ "Error ERROR_OS_ERROR", "errors.html#errors_eoe", null ],
      [ "Error ERROR_INCOMPATIBLE_REDEFINITION", "errors.html#errors_eir", null ],
      [ "Error ERROR_UNKNOWN_VAR", "errors.html#errors_euv", null ],
      [ "Error ERROR_MISSING_VALUE", "errors.html#errors_emv", null ],
      [ "Error ERROR_MISSING_FOR_LIMITS", "errors.html#errors_emfl", null ],
      [ "Error ERROR_DO_NOT_KNOW", "errors.html#errors_ednk", null ],
      [ "Error ERROR_BOOLEAN_EXPECTED", "errors.html#errors_ebe", null ],
      [ "Error ERROR_NOT_AN_INTEGER", "errors.html#errors_enai", null ],
      [ "Error ERROR_NOT_A_LIST", "errors.html#errors_enal", null ],
      [ "Error ERROR_NOT_A_LIST_CONST", "errors.html#errors_enalc", null ],
      [ "Error ERROR_NOT_A_WORD", "errors.html#errors_enaw", null ],
      [ "Error ERROR_NOT_A_WORD_CONST", "errors.html#errors_enawc", null ],
      [ "Error ERROR_INCOMPATIBLE_DATA", "errors.html#errors_eid", null ],
      [ "Error ERROR_TOO_BIG_NUMBER", "errors.html#errors_etbn", null ],
      [ "Error ERROR_TOO_SMALL_NUMBER", "errors.html#errors_etsn", null ],
      [ "Error ERROR_NOT_A_VAR", "errors.html#errors_enav", null ],
      [ "Error ERROR_NOT_A_TAG", "errors.html#errors_enat", null ],
      [ "Error ERROR_NOT_A_USER_FUNCTION", "errors.html#errors_enauf", null ],
      [ "Error ERROR_NOT_A_FUNCTION", "errors.html#errors_enaf", null ],
      [ "Error ERROR_NOT_A_TYPE_NAME", "errors.html#errors_enatn", null ],
      [ "ERROR_BAD_PROTOTYPE", "errors.html#errors_ebp", null ],
      [ "Exitter EXIT_BY_BYE", "errors.html#exitters_ebb", null ],
      [ "Exitter EXIT_BY_THROW_TOPLEVEL", "errors.html#exitters_ebtt", null ],
      [ "Exitter EXIT_BY_THROW_SYSTEM", "errors.html#exitters_ebts", null ],
      [ "Exitter EXIT_BY_THROW_ERROR", "errors.html#exitters_ebte", null ],
      [ "Exitter EXIT_BY_THROW_USER_ERROR", "errors.html#exitters_ebtue", null ],
      [ "Exitter EXIT_BY_THROW_TAG", "errors.html#exitters_ebtg", null ],
      [ "Exitter EXIT_BY_THROW_TAG_VALUE", "errors.html#exitters_ebtgv", null ]
    ] ],
    [ "External", "external.html", null ],
    [ "Globals", "globalss.html", null ],
    [ "Lists", "lists.html", [
      [ "Structures", "lists.html#lists_struct", null ],
      [ "Flags", "lists.html#lists_flags", null ]
    ] ],
    [ "Memories", "memories.html", [
      [ "Structure", "memories.html#mems_struct", null ]
    ] ],
    [ "Numbers", "numbers.html", [
      [ "Structures", "numbers.html#numbers_struct", null ]
    ] ],
    [ "Options", "options.html", null ],
    [ "Param Parsers", "paramparsers.html", [
      [ "Introduction", "paramparsers.html#Introduction", null ],
      [ "Parameter format", "paramparsers.html#paramparsers_1", null ],
      [ "Implementing new parameter parsers", "paramparsers.html#paramparsers_2", null ]
    ] ],
    [ "Parser", "parser.html", [
      [ "Tokenization", "parser.html#parser_tok", [
        [ "States", "parser.html#parser_tok_stat", null ],
        [ "Triggers", "parser.html#parser_tok_trig", null ],
        [ "Microprogram instructions", "parser.html#parser_tok_mi", null ],
        [ "Microprograms", "parser.html#parser_tok_m", null ]
      ] ],
      [ "Parsing", "parser.html#parse_par", [
        [ "Parsing step 1: Processing parentheses", "parser.html#parse_par1", null ],
        [ "Parsing step 2: Extract source line", "parser.html#parse_par2", null ],
        [ "Parsing step 3: Analyze and set dependencies", "parser.html#parse_par3", null ],
        [ "Parsing step 4: Check for missing or extra arguments", "parser.html#parse_par4", null ],
        [ "Parsing step 5: Recursive parse of nested structures", "parser.html#parse_par5", null ],
        [ "Parsing step 6: Group items into expression lists", "parser.html#parse_par6", null ],
        [ "Parsing step 7: Merge expression lists into the result", "parser.html#parse_par7", null ]
      ] ],
      [ "Function parsing", "parser.html#parse_func", null ],
      [ "Priorities and associativeness", "parser.html#parse_prior", null ]
    ] ],
    [ "Pools", "pools.html", [
      [ "Introduction", "pools.html#Introduction", null ],
      [ "Pool structure", "pools.html#pools_structure", null ],
      [ "Atom allocation", "pools.html#pools_alloc", null ],
      [ "Atom deallocation", "pools.html#pools_dealloc", null ]
    ] ],
    [ "Runtime", "runtime.html", [
      [ "Structure", "runtime.html#mems_struct", null ]
    ] ],
    [ "TestMaker", "testmaker.html", [
      [ "Introduction", "testmaker.html#Introduction", null ],
      [ "How it works?", "testmaker.html#testmaker_1", null ],
      [ "Testing modes", "testmaker.html#testmaker_2", null ],
      [ "Processing a file", "testmaker.html#testmaker_3", null ]
    ] ],
    [ "Vars", "vars.html", [
      [ "Structure", "vars.html#vars_structure", null ],
      [ "Primitive variables", "vars.html#vars_primvars", null ],
      [ "User-defined variables", "vars.html#vars_uservar", [
        [ "Compile-time variables", "vars.html#vars_uservar_comp", null ],
        [ "Run-time variables", "vars.html#vars_uservar_run", null ],
        [ "Global variables", "vars.html#vars_uservar_glob", null ]
      ] ],
      [ "Primitive functions", "vars.html#vars_primfun", null ],
      [ "User-defined functions", "vars.html#vars_userfun", null ],
      [ "Tags", "vars.html#vars_tags", null ],
      [ "Flags", "vars.html#vars_flags", null ],
      [ "Special variables", "vars.html#vars_special", null ]
    ] ],
    [ "Words", "words.html", [
      [ "Structures", "words.html#words_struct", null ]
    ] ],
    [ "Data Structures", null, [
      [ "Data Structures", "annotated.html", "annotated" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Variables", "functions_vars.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"TestMaker_8c.html",
"compiler_8c.html#a20309a1fc34035a8def3973b1afd2cc4",
"external_8c.html#ae9f937fbf43b788f486ad07330bdf75a",
"i386_8c.html#ad341c71364d03197b2184c4faa6fd8b8",
"options_8h.html#a96e1aef906a41a77e1a2fcaef2609e8b",
"runtime_8c.html#a40f40137801ba77f6f72a67f77381041",
"runtime_8h.html#a5a95aaa2390210a91b55f4c5f62e9bf5",
"testlib_8h.html#ad6527dd27042a3ea366f1ba629185ef2",
"vars_8h.html#a399d5232baffb3e99e5e27f70367c7fb"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';
var navTreeSubIndices = new Array();

function getData(varName)
{
  var i = varName.lastIndexOf('/');
  var n = i>=0 ? varName.substring(i+1) : varName;
  return eval(n.replace(/\-/g,'_'));
}

function stripPath(uri)
{
  return uri.substring(uri.lastIndexOf('/')+1);
}

function stripPath2(uri)
{
  var i = uri.lastIndexOf('/');
  var s = uri.substring(i+1);
  var m = uri.substring(0,i+1).match(/\/d\w\/d\w\w\/$/);
  return m ? uri.substring(i-6) : s;
}

function localStorageSupported()
{
  try {
    return 'localStorage' in window && window['localStorage'] !== null && window.localStorage.getItem;
  }
  catch(e) {
    return false;
  }
}


function storeLink(link)
{
  if (!$("#nav-sync").hasClass('sync') && localStorageSupported()) {
      window.localStorage.setItem('navpath',link);
  }
}

function deleteLink()
{
  if (localStorageSupported()) {
    window.localStorage.setItem('navpath','');
  } 
}

function cachedLink()
{
  if (localStorageSupported()) {
    return window.localStorage.getItem('navpath');
  } else {
    return '';
  }
}

function getScript(scriptName,func,show)
{
  var head = document.getElementsByTagName("head")[0]; 
  var script = document.createElement('script');
  script.id = scriptName;
  script.type = 'text/javascript';
  script.onload = func; 
  script.src = scriptName+'.js'; 
  if ($.browser.msie && $.browser.version<=8) { 
    // script.onload does not work with older versions of IE
    script.onreadystatechange = function() {
      if (script.readyState=='complete' || script.readyState=='loaded') { 
        func(); if (show) showRoot(); 
      }
    }
  }
  head.appendChild(script); 
}

function createIndent(o,domNode,node,level)
{
  var level=-1;
  var n = node;
  while (n.parentNode) { level++; n=n.parentNode; }
  var imgNode = document.createElement("img");
  imgNode.style.paddingLeft=(16*level).toString()+'px';
  imgNode.width  = 16;
  imgNode.height = 22;
  imgNode.border = 0;
  if (node.childrenData) {
    node.plus_img = imgNode;
    node.expandToggle = document.createElement("a");
    node.expandToggle.href = "javascript:void(0)";
    node.expandToggle.onclick = function() {
      if (node.expanded) {
        $(node.getChildrenUL()).slideUp("fast");
        node.plus_img.src = node.relpath+"ftv2pnode.png";
        node.expanded = false;
      } else {
        expandNode(o, node, false, false);
      }
    }
    node.expandToggle.appendChild(imgNode);
    domNode.appendChild(node.expandToggle);
    imgNode.src = node.relpath+"ftv2pnode.png";
  } else {
    imgNode.src = node.relpath+"ftv2node.png";
    domNode.appendChild(imgNode);
  } 
}

var animationInProgress = false;

function gotoAnchor(anchor,aname,updateLocation)
{
  var pos, docContent = $('#doc-content');
  if (anchor.parent().attr('class')=='memItemLeft' ||
      anchor.parent().attr('class')=='fieldtype' ||
      anchor.parent().is(':header')) 
  {
    pos = anchor.parent().position().top;
  } else if (anchor.position()) {
    pos = anchor.position().top;
  }
  if (pos) {
    var dist = Math.abs(Math.min(
               pos-docContent.offset().top,
               docContent[0].scrollHeight-
               docContent.height()-docContent.scrollTop()));
    animationInProgress=true;
    docContent.animate({
      scrollTop: pos + docContent.scrollTop() - docContent.offset().top
    },Math.max(50,Math.min(500,dist)),function(){
      if (updateLocation) window.location.href=aname;
      animationInProgress=false;
    });
  }
}

function newNode(o, po, text, link, childrenData, lastNode)
{
  var node = new Object();
  node.children = Array();
  node.childrenData = childrenData;
  node.depth = po.depth + 1;
  node.relpath = po.relpath;
  node.isLast = lastNode;

  node.li = document.createElement("li");
  po.getChildrenUL().appendChild(node.li);
  node.parentNode = po;

  node.itemDiv = document.createElement("div");
  node.itemDiv.className = "item";

  node.labelSpan = document.createElement("span");
  node.labelSpan.className = "label";

  createIndent(o,node.itemDiv,node,0);
  node.itemDiv.appendChild(node.labelSpan);
  node.li.appendChild(node.itemDiv);

  var a = document.createElement("a");
  node.labelSpan.appendChild(a);
  node.label = document.createTextNode(text);
  node.expanded = false;
  a.appendChild(node.label);
  if (link) {
    var url;
    if (link.substring(0,1)=='^') {
      url = link.substring(1);
      link = url;
    } else {
      url = node.relpath+link;
    }
    a.className = stripPath(link.replace('#',':'));
    if (link.indexOf('#')!=-1) {
      var aname = '#'+link.split('#')[1];
      var srcPage = stripPath($(location).attr('pathname'));
      var targetPage = stripPath(link.split('#')[0]);
      a.href = srcPage!=targetPage ? url : "javascript:void(0)"; 
      a.onclick = function(){
        storeLink(link);
        if (!$(a).parent().parent().hasClass('selected'))
        {
          $('.item').removeClass('selected');
          $('.item').removeAttr('id');
          $(a).parent().parent().addClass('selected');
          $(a).parent().parent().attr('id','selected');
        }
        var anchor = $(aname);
        gotoAnchor(anchor,aname,true);
      };
    } else {
      a.href = url;
      a.onclick = function() { storeLink(link); }
    }
  } else {
    if (childrenData != null) 
    {
      a.className = "nolink";
      a.href = "javascript:void(0)";
      a.onclick = node.expandToggle.onclick;
    }
  }

  node.childrenUL = null;
  node.getChildrenUL = function() {
    if (!node.childrenUL) {
      node.childrenUL = document.createElement("ul");
      node.childrenUL.className = "children_ul";
      node.childrenUL.style.display = "none";
      node.li.appendChild(node.childrenUL);
    }
    return node.childrenUL;
  };

  return node;
}

function showRoot()
{
  var headerHeight = $("#top").height();
  var footerHeight = $("#nav-path").height();
  var windowHeight = $(window).height() - headerHeight - footerHeight;
  (function (){ // retry until we can scroll to the selected item
    try {
      var navtree=$('#nav-tree');
      navtree.scrollTo('#selected',0,{offset:-windowHeight/2});
    } catch (err) {
      setTimeout(arguments.callee, 0);
    }
  })();
}

function expandNode(o, node, imm, showRoot)
{
  if (node.childrenData && !node.expanded) {
    if (typeof(node.childrenData)==='string') {
      var varName    = node.childrenData;
      getScript(node.relpath+varName,function(){
        node.childrenData = getData(varName);
        expandNode(o, node, imm, showRoot);
      }, showRoot);
    } else {
      if (!node.childrenVisited) {
        getNode(o, node);
      } if (imm || ($.browser.msie && $.browser.version>8)) { 
        // somehow slideDown jumps to the start of tree for IE9 :-(
        $(node.getChildrenUL()).show();
      } else {
        $(node.getChildrenUL()).slideDown("fast");
      }
      if (node.isLast) {
        node.plus_img.src = node.relpath+"ftv2mlastnode.png";
      } else {
        node.plus_img.src = node.relpath+"ftv2mnode.png";
      }
      node.expanded = true;
    }
  }
}

function glowEffect(n,duration)
{
  n.addClass('glow').delay(duration).queue(function(next){
    $(this).removeClass('glow');next();
  });
}

function highlightAnchor()
{
  var aname = $(location).attr('hash');
  var anchor = $(aname);
  if (anchor.parent().attr('class')=='memItemLeft'){
    var rows = $('.memberdecls tr[class$="'+
               window.location.hash.substring(1)+'"]');
    glowEffect(rows.children(),300); // member without details
  } else if (anchor.parents().slice(2).prop('tagName')=='TR') {
    glowEffect(anchor.parents('div.memitem'),1000); // enum value
  } else if (anchor.parent().attr('class')=='fieldtype'){
    glowEffect(anchor.parent().parent(),1000); // struct field
  } else if (anchor.parent().is(":header")) {
    glowEffect(anchor.parent(),1000); // section header
  } else {
    glowEffect(anchor.next(),1000); // normal member
  }
  gotoAnchor(anchor,aname,false);
}

function selectAndHighlight(hash,n)
{
  var a;
  if (hash) {
    var link=stripPath($(location).attr('pathname'))+':'+hash.substring(1);
    a=$('.item a[class$="'+link+'"]');
  }
  if (a && a.length) {
    a.parent().parent().addClass('selected');
    a.parent().parent().attr('id','selected');
    highlightAnchor();
  } else if (n) {
    $(n.itemDiv).addClass('selected');
    $(n.itemDiv).attr('id','selected');
  }
  if ($('#nav-tree-contents .item:first').hasClass('selected')) {
    $('#nav-sync').css('top','30px');
  } else {
    $('#nav-sync').css('top','5px');
  }
  showRoot();
}

function showNode(o, node, index, hash)
{
  if (node && node.childrenData) {
    if (typeof(node.childrenData)==='string') {
      var varName    = node.childrenData;
      getScript(node.relpath+varName,function(){
        node.childrenData = getData(varName);
        showNode(o,node,index,hash);
      },true);
    } else {
      if (!node.childrenVisited) {
        getNode(o, node);
      }
      $(node.getChildrenUL()).show();
      if (node.isLast) {
        node.plus_img.src = node.relpath+"ftv2mlastnode.png";
      } else {
        node.plus_img.src = node.relpath+"ftv2mnode.png";
      }
      node.expanded = true;
      var n = node.children[o.breadcrumbs[index]];
      if (index+1<o.breadcrumbs.length) {
        showNode(o,n,index+1,hash);
      } else {
        if (typeof(n.childrenData)==='string') {
          var varName = n.childrenData;
          getScript(n.relpath+varName,function(){
            n.childrenData = getData(varName);
            node.expanded=false;
            showNode(o,node,index,hash); // retry with child node expanded
          },true);
        } else {
          var rootBase = stripPath(o.toroot.replace(/\..+$/, ''));
          if (rootBase=="index" || rootBase=="pages" || rootBase=="search") {
            expandNode(o, n, true, true);
          }
          selectAndHighlight(hash,n);
        }
      }
    }
  } else {
    selectAndHighlight(hash);
  }
}

function getNode(o, po)
{
  po.childrenVisited = true;
  var l = po.childrenData.length-1;
  for (var i in po.childrenData) {
    var nodeData = po.childrenData[i];
    po.children[i] = newNode(o, po, nodeData[0], nodeData[1], nodeData[2],
      i==l);
  }
}

function gotoNode(o,subIndex,root,hash,relpath)
{
  var nti = navTreeSubIndices[subIndex][root+hash];
  o.breadcrumbs = $.extend(true, [], nti ? nti : navTreeSubIndices[subIndex][root]);
  if (!o.breadcrumbs && root!=NAVTREE[0][1]) { // fallback: show index
    navTo(o,NAVTREE[0][1],"",relpath);
    $('.item').removeClass('selected');
    $('.item').removeAttr('id');
  }
  if (o.breadcrumbs) {
    o.breadcrumbs.unshift(0); // add 0 for root node
    showNode(o, o.node, 0, hash);
  }
}

function navTo(o,root,hash,relpath)
{
  var link = cachedLink();
  if (link) {
    var parts = link.split('#');
    root = parts[0];
    if (parts.length>1) hash = '#'+parts[1];
    else hash='';
  }
  if (hash.match(/^#l\d+$/)) {
    var anchor=$('a[name='+hash.substring(1)+']');
    glowEffect(anchor.parent(),1000); // line number
    hash=''; // strip line number anchors
    //root=root.replace(/_source\./,'.'); // source link to doc link
  }
  var url=root+hash;
  var i=-1;
  while (NAVTREEINDEX[i+1]<=url) i++;
  if (i==-1) { i=0; root=NAVTREE[0][1]; } // fallback: show index
  if (navTreeSubIndices[i]) {
    gotoNode(o,i,root,hash,relpath)
  } else {
    getScript(relpath+'navtreeindex'+i,function(){
      navTreeSubIndices[i] = eval('NAVTREEINDEX'+i);
      if (navTreeSubIndices[i]) {
        gotoNode(o,i,root,hash,relpath);
      }
    },true);
  }
}

function showSyncOff(n,relpath)
{
    n.html('<img src="'+relpath+'sync_off.png" title="'+SYNCOFFMSG+'"/>');
}

function showSyncOn(n,relpath)
{
    n.html('<img src="'+relpath+'sync_on.png" title="'+SYNCONMSG+'"/>');
}

function toggleSyncButton(relpath)
{
  var navSync = $('#nav-sync');
  if (navSync.hasClass('sync')) {
    navSync.removeClass('sync');
    showSyncOff(navSync,relpath);
    storeLink(stripPath2($(location).attr('pathname'))+$(location).attr('hash'));
  } else {
    navSync.addClass('sync');
    showSyncOn(navSync,relpath);
    deleteLink();
  }
}

function initNavTree(toroot,relpath)
{
  var o = new Object();
  o.toroot = toroot;
  o.node = new Object();
  o.node.li = document.getElementById("nav-tree-contents");
  o.node.childrenData = NAVTREE;
  o.node.children = new Array();
  o.node.childrenUL = document.createElement("ul");
  o.node.getChildrenUL = function() { return o.node.childrenUL; };
  o.node.li.appendChild(o.node.childrenUL);
  o.node.depth = 0;
  o.node.relpath = relpath;
  o.node.expanded = false;
  o.node.isLast = true;
  o.node.plus_img = document.createElement("img");
  o.node.plus_img.src = relpath+"ftv2pnode.png";
  o.node.plus_img.width = 16;
  o.node.plus_img.height = 22;

  if (localStorageSupported()) {
    var navSync = $('#nav-sync');
    if (cachedLink()) {
      showSyncOff(navSync,relpath);
      navSync.removeClass('sync');
    } else {
      showSyncOn(navSync,relpath);
    }
    navSync.click(function(){ toggleSyncButton(relpath); });
  }

  navTo(o,toroot,window.location.hash,relpath);

  $(window).bind('hashchange', function(){
     if (window.location.hash && window.location.hash.length>1){
       var a;
       if ($(location).attr('hash')){
         var clslink=stripPath($(location).attr('pathname'))+':'+
                               $(location).attr('hash').substring(1);
         a=$('.item a[class$="'+clslink+'"]');
       }
       if (a==null || !$(a).parent().parent().hasClass('selected')){
         $('.item').removeClass('selected');
         $('.item').removeAttr('id');
       }
       var link=stripPath2($(location).attr('pathname'));
       navTo(o,link,$(location).attr('hash'),relpath);
     } else if (!animationInProgress) {
       $('#doc-content').scrollTop(0);
       $('.item').removeClass('selected');
       $('.item').removeAttr('id');
       navTo(o,toroot,window.location.hash,relpath);
     }
  })

  $(window).load(showRoot);
}

