public class JNIConnector {

    public JNIConnector(GuiPrototype prototype) {
        gui = prototype;
    }
    
    public native int incrementInt(int x);
    public native String concatStrings(String s1, String s2);
    public native void callCompiler(String command);
    
    public void printCompilerResult(String command) {
        gui.jTextAreaResult.append(command);
        gui.jTextAreaResult.setCaretPosition(gui.jTextAreaResult.getDocument().getLength());
        gui.repaint();
    }
    
    static {
        System.loadLibrary("JNIConnector");
    }
    private GuiPrototype gui;
}
